# MongoCursorInterface::info

(PECL mongo >=1.5.0)

MongoCursorInterface::info — Gets information about the cursor's creation and iteration

### Description

abstract public MongoCursorInterface::info ( void ) : array

Returns information about the cursor's creation and iteration. This can be called before or after the cursor has started iterating.

### Parameters

This function has no parameters.

### Return Values

Returns the namespace, batch size, limit, skip, flags, query, and projected fields for this cursor. If the cursor has started iterating, additional information about iteration and the connection will be included.